<?php

namespace App\Entity;

use App\Entity\Adherent;
use App\Entity\Comptoir;
use App\Entity\Transfert;
use Doctrine\ORM\Mapping as ORM;

/**
 * TRANSFERT
 *  - COMPTOIRS         =>     ADHERENTS                (Diffusion de monnaie papier auprès des adhérents)
 *
 * @ORM\Entity()
 */
class TransfertComptoirAdherent extends Transfert
{
    /**
     * @ORM\OneToOne(targetEntity="Comptoir", cascade={"all"})
     * @ORM\JoinColumn(name="comptoir_id", referencedColumnName="id", nullable=true)
     */
    protected $expediteur;

    /**
     * @ORM\OneToOne(targetEntity="Adherent", cascade={"all"})
     * @ORM\JoinColumn(name="adherent_id", referencedColumnName="id", nullable=true)
     */
    protected $destinataire;

    /**
     * @return string
     */
    public function getType(): string
    {
        return 'comptoir_adherent';
    }
}
