<?php

namespace App\Entity;

use App\Entity\Groupe;
use App\Entity\Siege;
use App\Entity\Transfert;
use Doctrine\ORM\Mapping as ORM;

/**
 * TRANSFERT
 *  - SIEGE             =>     GROUPES LOCAUX           (Transfert du siège au groupe)
 *
 * @ORM\Entity()
 */
class TransfertSiegeGroupe extends Transfert
{
    /**
     * @ORM\OneToOne(targetEntity="Siege", cascade={"all"})
     * @ORM\JoinColumn(name="siege_id", referencedColumnName="id", nullable=true)
     */
    protected $expediteur;

    /**
     * @ORM\OneToOne(targetEntity="Groupe", cascade={"all"})
     * @ORM\JoinColumn(name="groupe_id", referencedColumnName="id", nullable=true)
     */
    protected $destinataire;

    /**
     * @return string
     */
    public function getType(): string
    {
        return 'siege_groupe';
    }
}
